getAnalyticsLogsPublishLog(data: GetAnalyticsLogsParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Get issued-log history within a time range
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<GetAnalyticsLogsResult>
Includes dps (DP result list), hasNext, and total; each dps element is DpResult (in the issued-log scenario, nickName and userName are included).
Referenced Types
type
GetAnalyticsLogsResultPaginated log results. The response examples also include a `dpc` field that is not individually documented in the return parameter table.| Property | Type | Description |
|---|---|---|
dps | DpResult[] | Device DP data collection |
hasNext | boolean | Whether there is a next page of data |
total | number | Total record count |
Examples
Request example
Response example
Notes
- This API is a cloud capability and must be authorized before use. For details, see the cloud capability documentation. Cloud capabilities are not available in the
Developer Toolsenvironment; package the MiniApp or test on a real device. - To upgrade device log storage and unlock more features, visit Device log value-added service. After upgrading, follow the activation process after subscribing to device log storage. With upgraded storage, this API can retrieve more logs.
- Commands sent through the Tuya MiniApp IDE virtual device plugin are not recorded in publish logs; only commands actually sent from a real client are recorded.